<template>
  <div :class="className" :style="{height:height,width:width}" />
</template>
<script>
  import echarts from 'echarts'
  require('echarts/theme/macarons') // echarts theme
  import resize from './mixins/resize'

  const animationDuration = 4000
  export default {
    mixins: [resize],
    props: {
      className: {
        type: String,
        default: 'chart'
      },
      width: {
        type: String,
        default: '100%'
      },
      height: {
        type: String,
        default: '180px'
      },
      autoResize: {
        type: Boolean,
        default: true
      },

    },
    data() {
      return {
        chart: null
      }
    },
    mounted() {
      this.$nextTick(() => {
        this.initChart()
      })
    },
    beforeDestroy() {
      if (!this.chart) {
        return
      }
      this.chart.dispose()
      this.chart = null
    },
    methods: {
      initChart() {
        this.chart = echarts.init(this.$el, 'macarons')

        this.chart.setOption({
          legend: {
            data: ['Work', 'Entertainment', 'Sleep'],
            bottom: 20
          },

          calendar: {
            top: 'middle',
            left: 'center',
            orient: 'vertical',
            cellSize: cellSize,
            yearLabel: {
              show: false,
              fontSize: 30
            },
            dayLabel: {
              margin: 20,
              firstDay: 1,
              nameMap: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun']
            },
            monthLabel: {
              show: false
            },
            range: ['2017-02']
          },
          //   tooltip: {
          //     trigger: 'axis',
          //     axisPointer: { // 坐标轴指示器，坐标轴触发有效
          //       type: 'shadow' // 默认为直线，可选为：'line' | 'shadow'
          //     }
          //   },

          //   grid: {
          //     top: 8,
          //     left: '2%',
          //     right: '2%',
          //     bottom: '3%',
          //     containLabel: true
          //   },
          //   xAxis: [{
          //     type: 'category',
          //     data: ['永久', '短期', '长期', '5年', '10年', '20年', '25年', '30年'],
          //     axisTick: {
          //       alignWithLabel: true
          //     },
          //     axisLabel: {
          //       interval: 0, // 坐标轴刻度标签的显示间隔
          //       // rotate: 40 // 标签倾斜的角度
          //       textStyle: {
          //         fontSize: 10 //刻度大小
          //       },
          //     }
          //   }],
          //   yAxis: [{
          //     type: 'value',
          //     // show: false,


          //     // axisTick: {
          //     //   show: false
          //     // },
          //     // axisLine: {
          //     //   show: true //不显示坐标轴轴线
          //     // },
          //   }],
          series: [{
            // name: 'Direct',
            color: "#5AB1EF",
            type: 'bar',
            barWidth: '25%',
            data: [90, 52, 200, 80, 150, 50, 100, 88],
            animationDuration
          }]
        })
      }
    },
  mounted() {
    this.$nextTick(() => {
      this.initChart()
    })
  },
  beforeDestroy() {
    if (!this.chart) {
      return
    }
    this.chart.dispose()
    this.chart = null
  },
  }

</script>
